Transloadit
Pricing
  • File Uploads
  • File Importing
  • Video Encoding
  • Audio Encoding
  • Image Processing
  • Document Processing
  • Artificial Intelligence
  • File Filtering & Security
  • Media Cataloging
  • File Compression
  • Code Evaluation
  • File Exporting
  • Smart CDN
  • View all services
  • Explore integrations
  • Explore live demos
  • Uppy
  • TransloaditKit
  • Android SDK
  • Node SDK
  • Python SDK
  • Ruby SDK
  • Go SDK
  • Java SDK
  • PHP SDK
  • Zapier
  • MCP Server
  • Terraform
  • Essentials
  • Best Practices
  • FAQ
  • Robots
  • API
  • Formats
  • Build your first app
  • About
  • Comparisons
  • Open Source
  • Testimonials
  • Jobs
  • Security
  • Posts
  • DevTimes
  • DevTips
  • Press
  • Research
  • Case Studies
  • Solutions
  • Guides
  • Glossary
  • Legal
  • Tools
  • Helping Coursera bring education to millions around the world
  • Transloadit Support
  • Open Source Support
  • Service level agreement
EssentialsRobotsFAQAPIFormatsBest Practices
Topics
  • Endpoints
  • Response codes
  • Authentication
  • Metadata
  • API security
  • Rate limiting
  • Queues
  • Resumable uploads
Authentication
  • Create a bearer token
Assemblies
  • Create a new Assembly
  • Retrieve an Assembly Status
  • Stream Assembly changes live
  • Cancel a running Assembly
  • Replay an Assembly
  • Retrieve list of Assemblies
  • Assembly Status response
Webhooks
  • Replay Assembly Notification
Billing
  • Retrieve a month’s bill
Queues
  • Retrieve currently used priority job slots
Template Credentials
  • Create a new Template Credential
  • Retrieve a Template Credential
  • Edit a Template Credential
  • Delete a Template Credential
  • Retrieve list of Template Credentials
Templates
  • Create a new Template
  • Retrieve a Template
  • Edit a Template
  • Delete a Template
  • Retrieve list of Templates

Replay an Assembly

POSThttps://api2.transloadit.com/assemblies/{ASSEMBLY_ID}/replay
Warning
This endpoint requires your Auth Key to have the assemblies:write scope.

If an Assembly crashed, and if we can recover the input files, Transloadit can retry its execution.

You can specify a new notify_url parameter in params to avoid replaying the URL already specified for the Assembly.

Specify the steps parameter to override the Steps of the original Assembly being replayed.

The newly created Assembly will have a parent_assembly_status in its Status, pointing to the URL of the original crashed Assembly that it is a Replay of.

POST fields

  • Passing signature is required. For more information, please check Signature Authentication.
  • Passing params is required. It should contain a JSON encoded object with the keys as shown in the table below.

Supported keys inside the params field

  • auth — required

    object

    Contains at least your Transloadit Auth Key in the key property.

    If you enable Signature Authentication, you must also set an expiry date for the request in the expires property:

    {
      "key": "23c96d084c744219a2ce156772ec3211",
      "expires": "2009-08-28T01:02:03.000Z"
    }
    

    We strongly recommend including the nonce property — a randomly generated, unique value per request that prevents duplicate processing upon retries, can aid in debugging, and avoids attack vectors such as signature key reuse:

    {
      // …
      "nonce": "04ac6cb6-df43-41fb-a7fd-e5dd711a64e1"
    }
    

    The referer property is a regular expression to match against the HTTP referer of this upload, such as "example\.org". Specify this key to make sure that uploads only come from your domain.

    Uploads without a referer will always pass (as they are turned off for some browsers) making this useful in just a handful of use cases. For details about regular expressions, see Mozilla's RegExp documentation⁠.

    The max_size property can be used to set a maximum size that an upload can have in bytes, such as 1048576 (1 MB). Specify this to prevent users from uploading excessively large files. The file size is checked as soon as the upload is started and if it exceeds the maximum size, the entire upload process is canceled and the Assembly will error out, even if it contains files that do not exceed the max_size limitation. If you want to just ignore the files that exceed a certain size, but process all others, then please use 🤖/file/filter.

    The max_number_of_files property can be used to set a maximum number of files that an upload can have, such as 100. Specify this to prevent users from uploading excessively many files, both via file uploads and via import Robots.

    These properties can be set as part of the Assembly request or as part of the Template.

  • steps

    Record<string, object> | Array<object>

    Replay step overrides. Object-form steps are the normal Assembly shape; array-form steps are accepted for legacy replay compatibility and normalized before execution.

  • template_id

    string

    The ID of the Template that contains your Assembly Instructions. If you set allow_steps_override to false in your Template, then steps and template_id will be mutually exclusive — you may supply only one of these parameters.

  • notify_url

    string | null

    Transloadit can send a Pingback to your server when the Assembly is completed. We'll send the Assembly status in a form url-encoded JSON string inside of a transloadit field in a multipart POST request to the URL supplied here. Use notification_payload to reduce the payload size (e.g. without_uploads, without_results, without_params); the same filtering applies to notification replays.

  • fields

    Record<string, any>

    An object of string keyed values (name -> value) that can be used as Assembly Variables, just like additional form fields can. You can use anything that is JSON stringifyable as a value

  • reparse_template — required

    0 | 1

    Specify 1 to reparse the Template used in your Assembly (useful if the Template changed in the meantime). Alternatively, 0 replays the identical Steps used in the Assembly.

Response

Here’s an example response body:

{
  "ok": "ASSEMBLY_REPLAYING"
}

We either return the success code ASSEMBLY_REPLAYING or an error response code detailing what went wrong.

Previous page ← Cancel a running AssemblyNext page Retrieve list of Assemblies →
TransloaditChecking status…

Product

  • Services
  • Pricing
  • Demos
  • Tools
  • Security
  • Support

Company

  • About/Press
  • Blog/Jobs
  • Comparisons/Compliance matrix
  • Research
  • Open source
  • Solutions

Docs

  • Getting started
  • Transcoding
  • FAQ
  • API
  • Guides/DevTips
  • Supported formats

More

  • Platform status⁠
  • Community forum⁠
  • StackOverflow⁠
  • Uppy
  • tus⁠

© 2009–2026 Transloadit-II GmbH

PrivacyTermsImprint